package de.intevation.artifactdatabase.h2;

import org.h2.api.Trigger;

import java.sql.Connection;
import java.sql.SQLException;
import java.sql.PreparedStatement;

import de.intevation.artifactdatabase.SQL;

import org.apache.log4j.Logger;

public class CollectionAccessUpdateTrigger
implements   Trigger
{
    private static Logger logger =
        Logger.getLogger(CollectionAccessUpdateTrigger.class);

    public static final String COLLECTIONS_TOUCH_TRIGGER_FUNCTION =
        SQL.get("collections.touch.trigger.function");

    public void init(
        Connection conn,
        String     schemaName,
        String     triggerName,
        String     tableName,
        boolean    before,
        int        type
    ) 
    throws SQLException {
        logger.debug("CollectionAccessUpdateTrigger.init");
    }

    public void fire(
        Connection conn, 
        Object []  oldRow,
        Object []  newRow
    )
    throws SQLException {
        logger.debug("CollectionAccessUpdateTrigger.fire");
        PreparedStatement stmnt = conn.prepareStatement(
            COLLECTIONS_TOUCH_TRIGGER_FUNCTION);
        stmnt.setObject(1, newRow[0]);
        stmnt.execute();
        stmnt.close();
    }

    public void close() throws SQLException {
        logger.debug("CollectionAccessUpdateTrigger.close");
    }

    public void remove() throws SQLException {
        logger.debug("CollectionAccessUpdateTrigger.remove");
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
